Artifact Link Types - List
İş öğesi izleme giden yapıt bağlantı türlerinin listesini alın.
GET https://dev.azure.com/{organization}/_apis/wit/artifactlinktypes?api-version=7.1-preview.1
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
Azure DevOps kuruluşunun adı. |
|
api-version
|
query | True |
string |
Kullanılacak API sürümü. Api'nin bu sürümünü kullanmak için bu değer '7.1-preview.1' olarak ayarlanmalıdır. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
başarılı işlem |
Güvenlik
oauth2
Tür:
oauth2
Akış:
accessCode
Yetkilendirme URL’si:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Belirteç URL'si:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Kapsamlar
| Name | Description |
|---|---|
| vso.work | İş öğelerini, sorguları, panoları, alan ve yineleme yollarını ve diğer iş öğesi izlemeyle ilgili meta verileri okuma yeteneği verir. Ayrıca sorguları yürütme, iş öğelerini arama ve hizmet kancaları aracılığıyla iş öğesi olayları hakkında bildirim alma olanağı verir. |
Örnekler
Örnek isteği
GET https://dev.azure.com/fabrikam/_apis/wit/artifactlinktypes?api-version=7.1-preview.1
Örnek yanıt
{
"count": 16,
"value": [
{
"toolType": "Git",
"artifactType": "Branch",
"linkType": "Branch"
},
{
"toolType": "Build",
"artifactType": "Build",
"linkType": "Build"
},
{
"toolType": "VersionControl",
"artifactType": "Changeset",
"linkType": "Fixed in Changeset"
},
{
"toolType": "Git",
"artifactType": "Commit",
"linkType": "Fixed in Commit"
},
{
"toolType": "Build",
"artifactType": "Build",
"linkType": "Found in build"
},
{
"toolType": "Build",
"artifactType": "Build",
"linkType": "Integrated in build"
},
{
"toolType": "ArchitectureTools",
"artifactType": "ModelLink",
"linkType": "Model Link"
},
{
"toolType": "Git",
"artifactType": "PullRequestId",
"linkType": "Pull Request"
},
{
"toolType": "WorkItemTracking",
"artifactType": "Workitem",
"linkType": "Related Workitem"
},
{
"toolType": "TestManagement",
"artifactType": "TcmResultAttachment",
"linkType": "Result Attachment"
},
{
"toolType": "VersionControl",
"artifactType": "LatestItemVersion",
"linkType": "Source Code File"
},
{
"toolType": "Requirements",
"artifactType": "Storyboard",
"linkType": "Storyboard"
},
{
"toolType": "Git",
"artifactType": "Tag",
"linkType": "Tag"
},
{
"toolType": "TestManagement",
"artifactType": "TcmTest",
"linkType": "Test"
},
{
"toolType": "TestManagement",
"artifactType": "TcmResult",
"linkType": "Test Result"
},
{
"toolType": "WorkItemTracking",
"artifactType": "Hyperlink",
"linkType": "Workitem Hyperlink"
}
]
}
Tanımlar
WorkArtifactLink
İş yapıtı bağlantısı, giden yapıt bağlantı türünü açıklar.
| Name | Tür | Description |
|---|---|---|
| artifactType |
string |
Hedef yapıt türü. |
| linkType |
string |
Giden bağlantı türü. |
| toolType |
string |
Hedef araç türü. |